Cyberduck Mountain Duck CLI

#11075 closed defect (fixed)

Crash when a filename contains a colon on Windows

Reported by: freastro Owned by: jmalek
Priority: high Milestone: 7.5.0
Component: core Version: 7.4.1
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by freastro)

When viewing a list of files where at least one file contains a colon Cyberduck crashes.

Steps to reproduce:

  1. In a different app upload a file named "Star Trek: Renegades (2015).mp4". For this example I used B2.
  2. Open Cyberduck and browse to that file.
  3. Scroll or mouse over the file list.

Expected results: Nothing happens

Actual results: Cyberduck crashes

Attachments (1)

637280294906345195.txt (3.0 KB) - added by freastro on Jun 18, 2020 at 5:37:24 AM.

Download all attachments as: .zip

Change History (8)

Changed on Jun 18, 2020 at 5:37:24 AM by freastro

comment:1 Changed on Jun 18, 2020 at 5:46:14 AM by freastro

  • Description modified (diff)

comment:2 Changed on Jun 18, 2020 at 8:35:14 AM by jmalek

  • Owner set to jmalek
  • Status changed from new to assigned

comment:3 Changed on Jun 19, 2020 at 11:10:27 AM by dkocher

  • Milestone set to 8.0

comment:4 Changed on Jun 19, 2020 at 11:10:33 AM by dkocher

  • Component changed from interface to core

comment:5 Changed on Jun 19, 2020 at 2:02:22 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49427.

comment:6 Changed on Aug 11, 2020 at 9:07:46 AM by dkocher

  • Milestone changed from 8.0 to 7.5.0

comment:7 Changed on Sep 14, 2020 at 8:40:09 AM by dkocher

#11119 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software